org.wildfly.swarm.config.infinispan.cache_container

## Class BackupsComponent<T extends BackupsComponent<T>>

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap
    - - org.wildfly.swarm.config.infinispan.cache_container.BackupsComponent<T>

- All Implemented Interfaces:
    Serializable, Cloneable, Map

      public class BackupsComponent<T extends BackupsComponent<T>>
      extends HashMap

  The remote backups for this cache.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `BackupsComponent.BackupsComponentResources` Child mutators for BackupsComponent

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BackupsComponent()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `T` | `backup(Backup value)` Add the Backup object to the list of subresources
    `T` | `backup(BackupSupplier supplier)` Install a supplied Backup object to the list of subresources
    `T` | `backup(String childKey)` Create and configure a Backup object to the list of subresources
    `T` | `backup(String childKey, BackupConsumer consumer)` Create and configure a Backup object to the list of subresources
    `T` | `backups(List<Backup> value)` Add all Backup objects to this subresource
    `String` | `getKey()`
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `BackupsComponent.BackupsComponentResources` | `subresources()`

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### BackupsComponent

          public BackupsComponent()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### subresources

          public BackupsComponent.BackupsComponentResources subresources()

    - #### backups

          public T backups(List<Backup> value)

      Add all Backup objects to this subresource
      Parameters:
        `value` - List of Backup objects.
      Returns:
        this

    - #### backup

          public T backup(Backup value)

      Add the Backup object to the list of subresources
      Parameters:
        `value` - The Backup to add
      Returns:
        this

    - #### backup

          public T backup(String childKey,
                          BackupConsumer consumer)

      Create and configure a Backup object to the list of subresources
      Parameters:
        `key` - The key for the Backup resource
        `config` - The BackupConsumer to use
      Returns:
        this

    - #### backup

          public T backup(String childKey)

      Create and configure a Backup object to the list of subresources
      Parameters:
        `key` - The key for the Backup resource
      Returns:
        this

    - #### backup

          public T backup(BackupSupplier supplier)

      Install a supplied Backup object to the list of subresources

Copyright © 2018 JBoss by Red Hat. All rights reserved.